

/*
   orxonox - the future of 3D-vertical-scrollers

   Copyright (C) 2004 orx

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   ### File Specific:
   main-programmer: Patrick Boenzli
   co-programmer:
*/
#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_AI

#include "ai_engine.h"
#include "debug.h"

AIEngine* AIEngine::singletonRef = NULL;

AIEngine::AIEngine(){
	for(int i=0; i < maxTeams; i++ )teams[i]=NULL;
}

AITeam* AIEngine::getTeam(int teamNumber)
{
	if(teamNumber>maxTeams || teamNumber<0)return NULL;
	return teams[teamNumber];
}

AITeam* AIEngine::getCreateTeam(int teamNumber)
{
	if(teamNumber>maxTeams || teamNumber<0)return NULL;
	if(teams[teamNumber]==NULL)teams[teamNumber]=new AITeam();
	return teams[teamNumber];
}


void AIEngine::addTeam(int teamNumber)
{
	if(teamNumber>maxTeams || teamNumber<0)return;
	teams[teamNumber]=new AITeam();
}


void AIEngine::removeTeam(int teamNumber)
{
	if(teamNumber>maxTeams || teamNumber<0)return;
	teams[teamNumber]=NULL;
}


void AIEngine::tick(float dt)
{
	for(int i=0; i < maxTeams; i++ )
		if(teams[i]!=NULL)teams[i]->process(dt);
}


void AIEngine::rebuildAIVector(){
	//AIVector.clear();

	//for(int i=0; i < maxTeams; i++ )
		//if(teams[i]!=NULL)AIVector.push_back(teams[i]);
}
