
#ifndef _AI_ENGINE_H
#define _AI_ENGINE_H


#include "ai_team.h"


class AIEngine{
 public:
	~AIEngine(){}

   static AIEngine* getInstance() { if( singletonRef == NULL) singletonRef = new AIEngine(); return singletonRef; }

   void tick(float dt);

	void addTeam(int teamNumber);
	void removeTeam(int teamNumber);
	AITeam* getTeam(int teamNumber);
	AITeam* getCreateTeam(int teamNumber);

 private:
	void rebuildAIVector();

	std::vector<AIModule*> AIVector;

	static const int maxTeams=32;
	AITeam* teams[32];
	AIEngine();

	static AIEngine* singletonRef;
};

#endif /* _AI_ENGINE_H */
