

/*
   orxonox - the future of 3D-vertical-scrollers

   Copyright (C) 2004 orx

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   ### File Specific:
   main-programmer: Thomas Fahrni
   co-programmer:
*/
#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_AI

#include "ai_team.h"

AITeam::AITeam(){
	for(int i=0; i < maxSwarms; i++ )swarms[i]=NULL;
}


AISwarm* AITeam::getSwarm(int swarmNumber)
{
	if(swarmNumber>maxSwarms || swarmNumber<0)return NULL;
	return swarms[swarmNumber];
}


AISwarm* AITeam::getCreateSwarm(int swarmNumber)
{
	if(swarmNumber>maxSwarms || swarmNumber<0)return NULL;
	if(swarms[swarmNumber]==NULL)swarms[swarmNumber]=new AISwarm();
	return swarms[swarmNumber];
}


void AITeam::addSwarm(int swarmNumber)
{
	if(swarmNumber>maxSwarms || swarmNumber<0)return;
	swarms[swarmNumber]=new AISwarm();
}


void AITeam::removeSwarm(int swarmNumber)
{
	if(swarmNumber>maxSwarms || swarmNumber<0)return;
	swarms[swarmNumber]=NULL;
}


void AITeam::process(float dt)
{
	for(int i=0; i < maxSwarms; i++ ){
		if(swarms[i]!=NULL)swarms[i]->process(dt);
	}
}


